package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.AiComputingInstancesMapper;
import com.zyc.system.domain.AiComputingInstances;
import com.zyc.system.service.IAiComputingInstancesService;

/**
 * AI算力服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class AiComputingInstancesServiceImpl implements IAiComputingInstancesService 
{
    @Autowired
    private AiComputingInstancesMapper aiComputingInstancesMapper;

    /**
     * 查询AI算力服务
     * 
     * @param id AI算力服务主键
     * @return AI算力服务
     */
    @Override
    public AiComputingInstances selectAiComputingInstancesById(Integer id)
    {
        return aiComputingInstancesMapper.selectAiComputingInstancesById(id);
    }

    /**
     * 查询AI算力服务列表
     * 
     * @param aiComputingInstances AI算力服务
     * @return AI算力服务
     */
    @Override
    public List<AiComputingInstances> selectAiComputingInstancesList(AiComputingInstances aiComputingInstances)
    {
        return aiComputingInstancesMapper.selectAiComputingInstancesList(aiComputingInstances);
    }

    /**
     * 新增AI算力服务
     * 
     * @param aiComputingInstances AI算力服务
     * @return 结果
     */
    @Override
    public int insertAiComputingInstances(AiComputingInstances aiComputingInstances)
    {
        return aiComputingInstancesMapper.insertAiComputingInstances(aiComputingInstances);
    }

    /**
     * 修改AI算力服务
     * 
     * @param aiComputingInstances AI算力服务
     * @return 结果
     */
    @Override
    public int updateAiComputingInstances(AiComputingInstances aiComputingInstances)
    {
        return aiComputingInstancesMapper.updateAiComputingInstances(aiComputingInstances);
    }

    /**
     * 批量删除AI算力服务
     * 
     * @param ids 需要删除的AI算力服务主键
     * @return 结果
     */
    @Override
    public int deleteAiComputingInstancesByIds(Integer[] ids)
    {
        return aiComputingInstancesMapper.deleteAiComputingInstancesByIds(ids);
    }

    /**
     * 删除AI算力服务信息
     * 
     * @param id AI算力服务主键
     * @return 结果
     */
    @Override
    public int deleteAiComputingInstancesById(Integer id)
    {
        return aiComputingInstancesMapper.deleteAiComputingInstancesById(id);
    }
}
